summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorKevin Brubeck Unhammer2015-07-14 10:22:54 +0200
committerKevin Brubeck Unhammer2015-07-14 10:22:54 +0200
commit6d0f7e25bb0189a921b63ff56b21bc4e9bed653d (patch)
treeaf27fa6b9d93fa88205839bea037d40e83dbbf54 /PKGBUILD
downloadaur-apertium-es-pt.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e367fdcc094
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-es-pt
+pkgver=1.0.3
+pkgrel=2
+pkgdesc="Apertium language data for the Spanish-Portuguese translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig' 'autoconf')
+depends=('lttoolbox>=3.0' 'apertium>=3.0')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/${pkgname}-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "configure.ac.patch")
+md5sums=('0549493582ed682c6369b6a3ab3f09b5'
+ '980ec38601b6da839b0f98fab5821cde'
+ '29e1b3e85af2d026f3d48d19a4924986')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < configure.ac.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ autoreconf -i
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+}